Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.common/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.common/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.common/pom.xml	(revision 3254)
@@ -9,7 +9,7 @@
 	<parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.raster.gdal.app</artifactId>
-    <version>2.2.8-SNAPSHOT</version>
+    <version>2.2.8</version>
   </parent>
 
 	<dependencies>
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86_64/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86_64/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86_64/pom.xml	(revision 3254)
@@ -7,7 +7,7 @@
  	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.gdal.app</artifactId>
-    <version>2.2.8-SNAPSHOT</version>
+    <version>2.2.8</version>
 	</parent>
 
   <properties>
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.win.x86/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.win.x86/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.win.x86/pom.xml	(revision 3254)
@@ -7,7 +7,7 @@
   <parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.raster.gdal.app</artifactId>
-    <version>2.2.8-SNAPSHOT</version>
+    <version>2.2.8</version>
   </parent>
 
 
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/pom.xml	(revision 3254)
@@ -8,7 +8,7 @@
 	<parent>
     <groupId>org.gvsig</groupId>
     <artifactId>org.gvsig.raster.gdal</artifactId>
-    <version>2.2.8-SNAPSHOT</version>
+    <version>2.2.8</version>
   </parent>
   
   <properties>
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.app/org.gvsig.raster.gdal.app.lin.x86/pom.xml	(revision 3254)
@@ -7,7 +7,7 @@
  	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.gdal.app</artifactId>
-    <version>2.2.8-SNAPSHOT</version>
+    <version>2.2.8</version>
 	</parent>
     
     <repositories>
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/pom.xml	(revision 3254)
@@ -3,7 +3,7 @@
 	<modelVersion>4.0.0</modelVersion>
 	<artifactId>org.gvsig.raster.gdal</artifactId>
 	<packaging>pom</packaging>
-	<version>2.2.8-SNAPSHOT</version>
+	<version>2.2.8</version>
 	<name>${project.artifactId}</name>
 	<description>Gdal data provider for gvSIG</description>
 	<inceptionYear>2011</inceptionYear>
@@ -45,9 +45,9 @@
     </repositories>
     
     <scm>
-        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal</connection>
-        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal</developerConnection>
-        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal</url>
+        <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.gdal/tags/org.gvsig.raster.gdal-2.2.8</connection>
+        <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-raster/org.gvsig.raster.gdal/tags/org.gvsig.raster.gdal-2.2.8</developerConnection>
+        <url>https://devel.gvsig.org/redmine/projects/gvsig-raster/repository/show/org.gvsig.raster.gdal/tags/org.gvsig.raster.gdal-2.2.8</url>
     </scm>
 
     <build>
@@ -94,14 +94,14 @@
    		<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.gdal.app.common</artifactId>
-				<version>2.2.8-SNAPSHOT</version>
+				<version>2.2.8</version>
 				<type>zip</type>
 			</dependency>
 			
    		<dependency>
 				<groupId>org.gvsig</groupId>
 				<artifactId>org.gvsig.raster.gdal.io</artifactId>
-				<version>2.2.8-SNAPSHOT</version>
+				<version>2.2.8</version>
 			</dependency>
 
   	</dependencies>
Index: org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/pom.xml
===================================================================
--- org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/pom.xml	(revision 3253)
+++ org.gvsig.raster.gdal/trunk/org.gvsig.raster.gdal/org.gvsig.raster.gdal.io/pom.xml	(revision 3254)
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.raster.gdal</artifactId>
-		<version>2.2.8-SNAPSHOT</version>
+		<version>2.2.8</version>
 	</parent>
 	
 	<dependencies>