Index: pom.xml
===================================================================
--- pom.xml	(revision 4016)
+++ pom.xml	(revision 4017)
@@ -13,20 +13,21 @@
   <properties>
     <gvsig.package.info.operatingSystem>win</gvsig.package.info.operatingSystem>
     <gvsig.package.info.architecture>x86</gvsig.package.info.architecture>
-    
+
     <jecw.classifier>win-nt-vs8-i386-dynamic</jecw.classifier>
     <jecw.version>2.0.0</jecw.version>
-    
+
     <ecw.classifier>win-nt-vs8-i386-dynamic</ecw.classifier>
- 		<ecw.version>3.3.20070509</ecw.version>    
- 		
- 		<!--
-    <visualcppredist.classifier >win-nt-vs8-i386-dynamic</visualcppredist.classifier>
- 		<visualcppredist.version>2008</visualcppredist.version>    
- 		-->
- 		
-  </properties>
+    <ecw.version>3.3.20070509</ecw.version>
 
+    <visualcppredist1.classifier>win-nt-vs8-i386-dynamic</visualcppredist1.classifier>
+    <visualcppredist1.version>2008</visualcppredist1.version>
+
+    <visualcppredist2.classifier>win-nt-vs9-i386-dynamic</visualcppredist2.classifier>
+    <visualcppredist2.version>9.0.21022.8</visualcppredist2.version>
+
+    </properties>
+
   <dependencyManagement>
       <dependencies>
        <dependency>
@@ -44,18 +45,24 @@
             <version>${ecw.version}</version>
             <type>tar.gz</type>
             <scope>runtime</scope>
-	    </dependency>      
+	    </dependency>
 
-      <!--
-			<dependency>
-				<groupId>com.microsoft</groupId>
-				<artifactId>visualcppredist</artifactId>
-				<version>${visualcppredist.version}</version>
-				<classifier>${visualcppredist.classifier}</classifier>
-				<type>tar.gz</type>
-			</dependency>
-      -->
-      
+	    <dependency>
+		    <groupId>com.microsoft</groupId>
+		    <artifactId>visualcppredist</artifactId>
+		    <version>${visualcppredist1.version}</version>
+		    <classifier>${visualcppredist1.classifier}</classifier>
+		    <type>tar.gz</type>
+	    </dependency>
+
+	    <dependency>
+		    <groupId>com.microsoft</groupId>
+		    <artifactId>visualcppredist</artifactId>
+		    <version>${visualcppredist2.version}</version>
+		    <classifier>${visualcppredist2.classifier}</classifier>
+		    <type>tar.gz</type>
+	    </dependency>
+
     </dependencies>
   </dependencyManagement>
 
@@ -99,23 +106,28 @@
         <classifier>${ecw.classifier}</classifier>
         <type>tar.gz</type>
         <scope>runtime</scope>
-    </dependency>  
+    </dependency>
 
-    <!--
-		<dependency>
-			<groupId>com.microsoft</groupId>
-			<artifactId>visualcppredist</artifactId>
-			<version>${visualcppredist.version}</version>
-			<classifier>${visualcppredist.classifier}</classifier>
-			<type>tar.gz</type>
-		</dependency>
-		-->
-		
+    <dependency>
+	    <groupId>com.microsoft</groupId>
+	    <artifactId>visualcppredist</artifactId>
+	    <version>${visualcppredist1.version}</version>
+	    <classifier>${visualcppredist1.classifier}</classifier>
+	    <type>tar.gz</type>
+    </dependency>
+    <dependency>
+	    <groupId>com.microsoft</groupId>
+	    <artifactId>visualcppredist</artifactId>
+	    <version>${visualcppredist2.version}</version>
+	    <classifier>${visualcppredist2.classifier}</classifier>
+	    <type>tar.gz</type>
+    </dependency>
+
   </dependencies>
 
   <build>
     <plugins>
-  
+
       <plugin>
         <groupId>org.apache.maven.plugins</groupId>
         <artifactId>maven-dependency-plugin</artifactId>
@@ -128,7 +140,7 @@
 	        </goals>
 	        <configuration>
 	          <artifactItems>
-	          
+
 	            <artifactItem>
 		            <groupId>org.gvsig</groupId>
 		            <artifactId>org.gvsig.raster.ermapper.app.common</artifactId>
@@ -136,62 +148,70 @@
 					      <overWrite>true</overWrite>
 					      <outputDirectory>target</outputDirectory>
 	            </artifactItem>
-	            
+
 	            <artifactItem>
-                <groupId>org.gvsig</groupId>
-                <artifactId>org.gvsig.jecw</artifactId>
-                <version>${jecw.version}</version>
-                <classifier>${jecw.classifier}</classifier>
-		            <type>tar.gz</type>
-					      <overWrite>true</overWrite>
-					      <outputDirectory>target/native/jecw</outputDirectory>
+		      <groupId>org.gvsig</groupId>
+		      <artifactId>org.gvsig.jecw</artifactId>
+		      <version>${jecw.version}</version>
+		      <classifier>${jecw.classifier}</classifier>
+		      <type>tar.gz</type>
+		      <overWrite>true</overWrite>
+		      <outputDirectory>target/native/jecw</outputDirectory>
 	            </artifactItem>
-	            
+
 	            <artifactItem>
 	              <groupId>com.ermapper</groupId>
 	              <artifactId>ecw</artifactId>
 	              <version>${ecw.version}</version>
-                <classifier>${ecw.classifier}</classifier>
-		            <type>tar.gz</type>
-					      <overWrite>true</overWrite>
-					      <outputDirectory>target/native/ecw</outputDirectory>
+		      <classifier>${ecw.classifier}</classifier>
+		      <type>tar.gz</type>
+		      <overWrite>true</overWrite>
+		      <outputDirectory>target/native/ecw</outputDirectory>
 	            </artifactItem>
-	     
-	            <!--                 
+
 	            <artifactItem>
-			          <groupId>com.microsoft</groupId>
-			          <artifactId>visualcppredist</artifactId>
-			          <version>${visualcppredist.version}</version>
-			          <classifier>${visualcppredist.classifier}</classifier>
-		            <type>tar.gz</type>
-					      <overWrite>true</overWrite>
-					      <outputDirectory>target/native/visualcppredist</outputDirectory>
+		      <groupId>com.microsoft</groupId>
+		      <artifactId>visualcppredist</artifactId>
+		      <version>${visualcppredist1.version}</version>
+		      <classifier>${visualcppredist1.classifier}</classifier>
+		      <type>tar.gz</type>
+		      <overWrite>true</overWrite>
+		      <outputDirectory>target/native/msv80</outputDirectory>
 	            </artifactItem>
-	            -->
-	            
+
+	            <artifactItem>
+		      <groupId>com.microsoft</groupId>
+		      <artifactId>visualcppredist</artifactId>
+		      <version>${visualcppredist2.version}</version>
+		      <classifier>${visualcppredist2.classifier}</classifier>
+		      <type>tar.gz</type>
+		      <overWrite>true</overWrite>
+		      <outputDirectory>target/native/msv90</outputDirectory>
+	            </artifactItem>
+
 	          </artifactItems>
 	        </configuration>
           </execution>
         </executions>
 	  </plugin>
-  
-  
+
+
     </plugins>
   </build>
 
-  <!-- 
+  <!--
   The profiles only configure the automatic deploy of gvSIG plugin in the gvSIG
   configured in HOME/.gvsig-devel.properties
   -->
   <profiles>
-  
+
     <profile>
       <id>gvsig-plugin-install-raster-windows-x86</id>
       <activation>
          <os>
              <family>windows</family>
              <!-- Uncomment this when have support for amd64 -->
-             <!-- 
+             <!--
              <arch>x86</arch>
              -->
          </os>
@@ -200,8 +220,8 @@
 	    <gvsig.install.plugin>true</gvsig.install.plugin>
 	  </properties>
     </profile>
-    
+
   </profiles>
-  
+
 </project>
 