Index: MultiFileDataParametersImpl.java
===================================================================
--- MultiFileDataParametersImpl.java	(revision 4180)
+++ MultiFileDataParametersImpl.java	(revision 4181)
@@ -27,6 +27,7 @@
 
 package org.gvsig.raster.multifile.io;
 
+import java.net.URI;
 import java.util.ArrayList;
 import java.util.List;
 
@@ -55,25 +56,25 @@
  */
 public class MultiFileDataParametersImpl extends AbstractRasterFileDataParameters implements MultiFileDataParameters {
 	private List<RasterProvider>    providerList = null;
-	
+
 	public MultiFileDataParametersImpl() {
 		super();
 		providerList = new ArrayList<RasterProvider>();
 		initialize();
 	}
-	
+
 	protected void initialize() {
 		delegatedDynObject = (DelegatedDynObject) ToolsLocator
 				.getDynObjectManager().createDynObject(
 						registerDynClass());
 	}
-	
+
 	@SuppressWarnings("unchecked")
 	public void loadFromState(PersistentState state)
 			throws PersistenceException {
 		super.loadFromState(state);
 		DataManagerProviderServices dataManager = (DataManagerProviderServices)DALLocator.getDataManager();
-		
+
 		List<RasterDataParameters> parameters = state.getList("parameters");
 		for (int i = 0; i < parameters.size(); i++) {
 			try {
@@ -91,14 +92,14 @@
 	public void saveToState(PersistentState state) throws PersistenceException {
 		super.saveToState(state);
 		List<RasterProvider> provList = getProviders();
-		List<RasterDataParameters> rasterDataParametersList = new ArrayList<RasterDataParameters>(); 
+		List<RasterDataParameters> rasterDataParametersList = new ArrayList<RasterDataParameters>();
 		for (int j = 0; j < provList.size(); j++) {
-			rasterDataParametersList.add(provList.get(j).getDataParameters());	
+			rasterDataParametersList.add(provList.get(j).getDataParameters());
 		}
-		
-		state.set("parameters", rasterDataParametersList);	
-	}	
-	
+
+		state.set("parameters", rasterDataParametersList);
+	}
+
 	public static DynStruct registerDynClass() {
 		PersistenceManager manager = ToolsLocator.getPersistenceManager();
 		DynStruct definition = manager.getDefinition("MultiFileDataParameters_Persistent");
@@ -107,29 +108,29 @@
 					MultiFileDataParametersImpl.class,
 					"MultiFileDataParameters_Persistent",
 					"MultiFileDataParameters Persistent",
-					null, 
+					null,
 					null
 			);
 			AbstractRasterDataParameters.registerDynClass(definition);
 		}
-		
+
 		definition.addDynFieldList("parameters")
 		.setClassOfItems(RasterDataParameters.class)
 		.setMandatory(false);
-		
+
 		return definition;
 	}
-	
+
 	public void removeAllProviders() {
 		getProviders().clear();
 		getParams().clear();
 	}
-	
+
 	public boolean hasProviders() {
 		return getProviders().size() > 0;
 	}
-	
-	public void removeProvider(String uri) {
+
+	public void removeProvider(URI uri) {
 		if(getProviders() != null) {
 			List<RasterProvider> provList = getProviders();
 			List<RasterDataParameters> paramList = getParams();
@@ -143,7 +144,7 @@
 			}
 		}
 	}
-	
+
 	public void addProviderNotTiled(DataStoreProvider provider) {
 		if(provider instanceof RasterProvider) {
 			RasterProvider prov = (RasterProvider)provider;
@@ -152,7 +153,7 @@
 			}
 		}
 	}
-	
+
 	public void setFirstProvider(DataStoreProvider provider) {
 		if(provider instanceof RasterProvider) {
 			RasterProvider prov = (RasterProvider)provider;
@@ -162,7 +163,7 @@
 			}
 		}
 	}
-	
+
 	public void addProvider(DataStoreProvider provider) {
 		if(provider instanceof RasterProvider) {
 			RasterProvider prov = (RasterProvider)provider;
@@ -176,17 +177,17 @@
 			addToList(prov);
 		}
 	}
-	
+
 	private void addToList(RasterProvider prov) {
 		addProviderToList(prov);
 		addParamToList(prov);
 	}
-	
+
 	@SuppressWarnings("unchecked")
 	private List<RasterDataParameters> getParams() {
 		return (List<RasterDataParameters>)getDynValue("parameters");
 	}
-	
+
 	private void addParamToList(RasterProvider prov) {
 		List<RasterDataParameters> paramList = getParams();
 		if(paramList == null) {
@@ -197,13 +198,13 @@
 			paramList.add(prov.getDataParameters());
 		}
 	}
-	
+
 	public List<RasterProvider> getProviders() {
 		return this.providerList;
 	}
-	
+
 	private void addProviderToList(RasterProvider prov) {
-		List<RasterProvider> provList = getProviders(); 
+		List<RasterProvider> provList = getProviders();
 		if(provList == null) {
 			provList = new ArrayList<RasterProvider>();
 			provList.add(prov);
@@ -212,8 +213,8 @@
 			provList.add(prov);
 		}
 	}
-	
-	
+
+
 	public void setProviders(ArrayList<RasterProvider> provList) {
 		List<RasterDataParameters> paramsList = new ArrayList<RasterDataParameters>();
 		for (int i = 0; i < provList.size(); i++) {
@@ -230,5 +231,5 @@
 	public String getDescription() {
 		return MultiFileProvider.DESCRIPTION;
 	}
-	
+
 }